# Class webdriver.Command

code »

Describes a command to be executed by the WebDriverJS framework.

## Constructor

webdriver.Command ( name )

Parameters

name: `!webdriver.CommandName`
  The name of this command.

Show:PublicProtectedPrivate

## Instance Methods

code » getName ( ) ⇒ `!webdriver.CommandName`

Returns

This command's name.

code » getParameter ( key ) ⇒ `*`

Returns a named command parameter.

Parameters

key: `string`
  The parameter key to look up.

Returns

The parameter value, or undefined if it has not been set.

code » getParameters ( ) ⇒ `!Object`

Returns

The parameters to send with this command.

code » setParameter ( name, value ) ⇒ `!webdriver.Command`

Sets a parameter to send with this command.

Parameters

name: `string`
  The parameter name.
value: `*`
  The parameter value.

Returns

A self reference.

code » setParameters ( parameters ) ⇒ `!webdriver.Command`

Sets the parameters for this command.

Parameters

parameters: `!Object`
  The command parameters.

Returns

A self reference.

## Instance Properties

code » parameters_ : `!Object`

The parameters to this command.